| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Typedefs | Functions
OgreShaderExTextureAtlasSampler.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderSubRenderState.h"`

## Classes
struct | Ogre::RTShader::TextureAtlasRecord
class | Ogre::RTShader::TextureAtlasSampler
| Implements texture atlas sampling. More...
class | Ogre::RTShader::TextureAtlasSamplerFactory
| A factory that enables creation of TextureAtlasSampler instances. More...
struct | Ogre::RTShader::TextureAtlasSamplerFactory::TextureAtlasAttib

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | TAS_MAX_TEXTURES 4

## Typedefs
typedef std::map< String, TextureAtlasTablePtr > | Ogre::RTShader::TextureAtlasMap
typedef std::vector< TextureAtlasRecord > | Ogre::RTShader::TextureAtlasTable
typedef SharedPtr< TextureAtlasTable > | Ogre::RTShader::TextureAtlasTablePtr

## Functions
_OgreRTSSExport void | Ogre::RTShader::operator<< (std::ostream &o, const TextureAtlasSamplerFactory::TextureAtlasAttib &tai)

## Macro Definition Documentation

## ◆ TAS_MAX_TEXTURES

#define TAS_MAX_TEXTURES 4